import User from "../model/User";
import * as SecureStore from 'expo-secure-store';


export default class InternalStoreService {


    public static async saveUser(user: User): Promise<void> {
        await SecureStore.setItemAsync("user", JSON.stringify(user));
    }


    public static async getUser(): Promise<User> {
        return JSON.parse(await SecureStore.getItemAsync("user"));
    }

    public static async deleteUser(): Promise<void> {
        await SecureStore.deleteItemAsync("user");
        await SecureStore.deleteItemAsync("token");
    }

    public static async saveToken(token: string): Promise<void> {
        await SecureStore.setItemAsync("token", token);
    }


    public static async getToken(): Promise<string> {
        return await SecureStore.getItemAsync("token");
    }


}